import { Component, OnInit, Input, EventEmitter, Output } from '@angular/core';

@Component({
  selector: 'app-level-imgtext',
  templateUrl: './app-level-imgtext.component.html',
  styleUrls: ['./app-level-imgtext.component.scss'],
})
export class AppLevelImgtext implements OnInit {

  /**
   * 输入标题
   */
  @Input() title:string;

  /**
   *  传入数组
   */
  @Input() items:Array<any>;

  /**
   * 抛出数据
   */
  @Output() menuClick:EventEmitter<any> =new EventEmitter<any>();

  constructor() { }

  ngOnInit() {}

  public handleClick(item:any){
    this.menuClick.emit(item);
  }

}
